> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-55d9d317.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取组织在云提供商某个区域中的专用终结点配置

> 已弃用。请按照[文档](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)中的更新流程进行操作。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/privateEndpointConfig
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/privateEndpointConfig:
    get:
      tags:
        - Organization
      summary: 获取组织在云提供商某个区域中的专用终结点配置
      description: >-
        已弃用。请按照[文档](https://clickhouse.com/docs/manage/security/aws-privatelink#add-endpoint-id-to-services-allow-list)中的更新流程进行操作。
      parameters:
        - description: 所请求的 organization ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 云提供商标识符。取值为 aws、gcp 或 azure 之一。
          in: query
          name: cloud_provider
          required: true
          schema:
            type: string
        - description: 特定云提供商内的区域标识符。
          in: query
          name: region_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: >-
                      #/components/schemas/OrganizationCloudRegionPrivateEndpointConfig
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误说明。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，服务器无法或不愿处理该请求。
      deprecated: true
components:
  schemas:
    OrganizationCloudRegionPrivateEndpointConfig:
      properties:
        endpointServiceId:
          description: >-
            您在 VPC 中使用 AWS（Service Name）或 GCP（Target Service）资源创建的 interface
            endpoint 的唯一标识符
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````